<?php

namespace Televox\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;

class SpeechRecognition extends Controller
{
    public function load(Request $req)
    {
        $datos = $req->validate([
            'identificador' => ['numeric', 'nullable', "required"],
        ]);

        $recording_id = $datos["identificador"];

        $salida = [];

        $transcripcion = DB::connection("Televox")
            ->table("tbl_transcripcion")
            ->where("recording_id", $recording_id)
            ->first();

        if ($transcripcion) {
            $salida["Transcripcion"] = $transcripcion->transcripcion;
        }


        $resumen = DB::connection("Televox")
            ->table("tbl_resumen")
            ->where("recording_id", $recording_id)
            ->first();

        if ($resumen) {
            $salida["Resumen"] = $resumen->resumen;
        }


        $sentimientos = DB::connection("Televox")
            ->table("tbl_sentimiento")
            ->where("recording_id", $recording_id)
            ->first();

        if ($sentimientos) {
            $salida["Sentimiento"] = $sentimientos->sentimiento;
            $salida["Magnitu"] = $sentimientos->magnitud;
        }



        $oraciones = DB::connection("Televox")
            ->table("tbl_oracion")
            ->where("recording_id", $recording_id)
            ->get();

        if ($oraciones->count() > 0) {
            $salida["Oraciones"] = [];
            foreach ($oraciones as $oracion) {
                $salida["Oraciones"][] = [
                    "Orden" => $oracion->orden,
                    "Oracion" => $oracion->oracion,
                    "Sentimiento" => $oracion->sentimiento,
                    "Magnitud" => $oracion->magnitud,
                ];
            }
        }


        $problemas_claves = DB::connection("Televox")
            ->table("tbl_problema_clave")
            ->where("recording_id", $recording_id)
            ->get();

        if ($problemas_claves->count() > 0) {
            $salida["Problemas"] = [];
            foreach ($problemas_claves as $problema) {
                $salida["Problemas"][] = [
                    "Orden" => $problema->orden,
                    "Problema" => $problema->problema,
                    "Solucion" => $problema->solucion,
                ];
            }
        }



        return $salida;
    }
}
